{% extends "users/userspace.html" %}

{% load template_utils %}

{% block scripts %}
<script>
{% for produit in form.produits %}
    $("#id_produit_{{ produit.id }}").change(() => {
        if ($("#id_produit_{{ produit.id }}").prop("checked")) {
            $("#inputs_{{produit.id}}").removeClass("d-none");
            console.log("a");
        } else {
            $("#inputs_{{produit.id}}").addClass("d-none");
        }
    });

    $( window ).on( "load", function() {
        $("#id_produit_{{ produit.id }}").change();
    });

{% endfor %}
</script>
{% endblock %}

{% block content %}
<div class="container px-5 my-5">
    <h1>Inscriptions Produits / Distributions</h1>
    <p>Permet d'inscrire un ou plusieurs produits à une ou plusieurs distributions rapidement. Pour des ajouts plus précis, veuillez passer par l'interface d'administration.</p>
    <hr>
    
    {% if form.errors %}
        <div class="alert alert-danger" role="alert">
            {% for fieldname, errors in form.errors.items %}
                {% if fieldname == "__all__" %}
                    Problèmes :
                {% else %}
                    {{ fieldname }} :
                {% endif %}
                <ul>
                    {% for error in errors %}
                        <li>{{ error | safe }}</li>
                    {% endfor %}
                </ul>
            {% endfor %}
        </div>
    {% endif %}
    {% if success %}
        <div class="alert alert-success" role="alert">
            {{success}} incriptions produits ont été enregistrées avec succès.
        </div>
    {% endif %}

    <form method="post">
        {% csrf_token %}
        <div class="form-group">
            <h3>Produits</h3>
            <div class="accordion mt-3" id="accordionProduits">
                {% for ferme in form.produits_par_ferme %}
                <div class="accordion-item">
                    <h2 class="accordion-header">
                        <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapse{{ forloop.counter }}" aria-expanded="false" aria-controls="collapse{{ forloop.counter }}">
                            {{ ferme.nom }}
                        </button>
                    </h2>
                    <div id="collapse{{ forloop.counter }}" class="accordion-collapse collapse" aria-labelledby="heading{{ forloop.counter }}" data-bs-parent="#accordionProduits">
                        <div class="accordion-body">
                            {% for produit in form.produits_par_ferme|get_item:ferme %}
                            {% with fieldname="produit_"|strcat:produit.id fieldnameunites="produit_"|strcat:produit.id|strcat:"_unites_dispo" fieldnamedelai="produit_"|strcat:produit.id|strcat:"_delai_max"%}
                            {% with field=form|get_item:fieldname fieldunites=form|get_item:fieldnameunites fielddelai=form|get_item:fieldnamedelai%}
                            <div class="d-flex align-items-center mb-2">
                                {{field}}
                                <label class="form-check-label fs-5 ms-2" for="{{ field.id_for_label }}">{{ field.label }}</label>
                            </div>
                            <div class="d-flex align-items-center mb-2" id="inputs_{{produit.id}}">
                                <label class="form-check-label fs-6 me-2" for="{{ fieldunites.id_for_label }}">{{ fieldunites.label }}</label>
                                {{fieldunites}}
                                <label class="form-check-label fs-6 ms-5 me-2" for="{{ fielddelai.id_for_label }}">{{ fielddelai.label }}</label>
                                {{fielddelai}}
                            </div>       
                            {% endwith %}
                            {% endwith %}                
                            {% endfor %}
                        </div>
                    </div>
                </div>
                {% endfor %}
            </div>
        </div>

        <hr class="my-3">
        <div class="form-group">
            <h3>Distributions</h3>
            <div style="max-height: 400px; overflow-y: auto;" class="border rounded border-2 border-secondary p-3 ">
                {% for distribution in form.distributions %}
                {% with fieldname="distribution_"|strcat:distribution.id %}
                {% with field=form|get_item:fieldname%}
                    <div class="d-flex align-items-center mb-2">
                        {{field}}
                        <label class="form-check-label fs-5 ms-2" for="{{ field.id_for_label }}">{{ field.label }}</label>
                    </div>
                {% endwith %}
                {% endwith %}
                {% endfor %}
            </div>
        </div>

        <hr class="my-3">
        <div class="form-group">
            <h3>Options</h3>
            {{form.signature_amap}}
            <label class="form-check-label fs-6 ms-2" for="{{form.signature_amap.id_for_label}}">{{form.signature_amap.label}}</label>
            <br>
            {{form.signature_ferme}}
            <label class="form-check-label fs-6 ms-2" for="{{form.signature_ferme.id_for_label}}">{{form.signature_ferme.label}}</label>
        </div>

        
        <button type="submit" class="btn btn-primary mt-4 w-100"><i class="fas fa-pen me-3"></i>Inscrire les produits</button>
    </form>
</div>
{% endblock %}